//genesis
//gabab-chan.g

function makegabab(vpath, galpha, gbar)
str vpath, galpha
float gbar

float area

area = {getfield {vpath} dia } * {getfield {vpath} len} * PI

create ligand2_chan {vpath}/gabab	/* units are msec, nA, uS, mV */
setfield  {vpath}/gabab	\
		alpha.min 0.010 \
		alpha.max 0.0 \
		alpha.slope -20 \
		alpha.v0 -20.0 \
		alpha.in_exp_power 1 \
		alpha.out_exp_power -1 \
		alpha.in_exp_offset 0 \
		alpha.out_exp_offset 1 \
		beta.min 0.002 \
		beta.max 0.0 \
		beta.slope 10.0 \
		beta.v0 -23.0 \
		beta.in_exp_power 1 \
		beta.out_exp_power -1 \
		beta.in_exp_offset 0 \
		beta.out_exp_offset 1 \
		gamma.min 0.00    \
		gamma.max 0.0 \
		gamma.slope -20 \
		gamma.v0 -20.0 \
		gamma.in_exp_power 1 \
		gamma.out_exp_power -1 \
		gamma.in_exp_offset 0 \
		gamma.out_exp_offset 1 \
		delta.min 0.00 \
		delta.max 0.0 \
		delta.slope 10.0 \
		delta.v0 -23.0 \
		delta.in_exp_power 1 \
		delta.out_exp_power -1 \
		delta.in_exp_offset 0 \
		delta.out_exp_offset 1 \
		k1.min 0.018    \
		k1.max 0.0 \
		k1.slope -20 \
		k1.v0 -20.0 \
		k1.in_exp_power 1 \
		k1.out_exp_power -1 \
		k1.in_exp_offset 0 \
		k1.out_exp_offset 1 \
		k2.min 0.05 \
		k2.max 0.0 \
		k2.slope 10.0 \
		k2.v0 -23.0 \
		k2.in_exp_power 1 \
		k2.out_exp_power -1 \
		k2.in_exp_offset 0 \
		k2.out_exp_offset 1 \
		Vr -85.0 \
		rxn_ord 1 \
		cond_state 1	\
		Gbar {gbar*area}

	addmsg {galpha} {vpath}/gabab LIGAND Conc
	addmsg {vpath} {vpath}/gabab VOLTAGE Vm
	addmsg {vpath}/gabab {vpath} CHANNEL G Vr

end

